# Created by pyp2rpm-3.3.2
%global pypi_name dnssplitter

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        A fast python implementation of breaking down DNS domains into parts

License:        None
URL:            https://github.com/hardaker/dnssplitter
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
#BuildRequires:  python3-nose
BuildRequires:  python3-setuptools

%description
 OverviewParses DNS domain names into three parts: the prefix, the registered
domain and it's registration point. Usage From the CLI dnssplit
www.google.co.uk www.yahoo.com www.google.co.uk: Prefix: www Domain:
google.co.uk Reg Point: co.uk www.yahoo.com: Prefix: www Domain: yahoo.com Reg
Point: com Using the API python import dnssplitter splitter
dnssplitter.DNSSplitter()splitter.init_tree()...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
 OverviewParses DNS domain names into three parts: the prefix, the registered
domain and it's registration point. Usage From the CLI dnssplit
www.google.co.uk www.yahoo.com www.google.co.uk: Prefix: www Domain:
google.co.uk Reg Point: co.uk www.yahoo.com: Prefix: www Domain: yahoo.com Reg
Point: com Using the API python import dnssplitter splitter
dnssplitter.DNSSplitter()splitter.init_tree()...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

#%check
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/dnssplit
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Jan 24 2020 yp-isi <yuri@isi.edu> - 1.0.0-1
- Initial package.
